#pragma once

#include <map>

#include "loggers.hh"

class Params : public std::map<std::string, std::string> {
public:
  Params() : std::map<std::string, std::string>() { loggers::loggers::log("Params::Params"); };
  Params(const Params& p_params) : std::map<std::string, std::string>(p_params.begin(), p_params.end()) { loggers::loggers::log("Params::Params (1)"); };
  
  virtual ~Params() {};
  void log();
  static void convert(Params& p_param, const std::string p_parameters);
};

